import React, { Component } from 'react';
import ListFrame from './../listFrame/index';
import ListHeader from './../listHeader';
import './index.scss';

class CollectBlessing extends Component {

  constructor(props) {
    super(props);
    this.state = {
      rules: [
        'app、h5、pc端活动页签到+5点福气值（每天一次）',
        '关注七月在线微信服务号+30点福气值（仅限一次）',
        '分享活动页到朋友圈、qq，分别+2点福气值（每个平台每天一次）',
        '浏览指定课程详情页，一门课程+2点福气值（每天一次）',
        '邀请好友注册，+10点福气值/人（无上限）',
        '活动期间每购买一门课程+20点福气值',
      ],
      welfareRuleList: [
        {
          range: '50~100',
          rules: [
            {id: 1, text: '1.每天一次抽奖机会；'},
            {id: 2, text: '2.中奖概率翻2倍', des: '（热力值越高，中奖概率越大）；'},
            {id: 3, text: '3.满111减11、满1111减111。'},
          ]
        },
        {
          range: '101~190',
          rules: [
            {id: 1, text: '1.每天两次抽奖机会；'},
            {id: 2, text: '2.中奖概率翻3倍', des: '（热力值越高，中奖概率越大）；'},
            {id: 3, text: '3.满111减31、满1111减211；'},
            {id: 4, text: '4.AI水平测试增加1次。'},
          ]
        },
        {
          range: '>190',
          rules: [
            {id: 1, text: '1.每天三次抽奖机会；'},
            {id: 2, text: '2.中奖概率翻4倍', des: '（热力值越高，中奖概率越大）；'},
            {id: 3, text: '3.满111减51、满1111减411；'},
            {id: 4, text: '4.AI水平测试增加1次。'},
          ]
        }
      ],
    };
  }
  
  render() {
    const { handleToShowList } = this.props;
    const { rules, welfareRuleList } = this.state;
    return (
      <>
      <div className="collect-blessing">
        {
          this.props.userLogin ? (
            <ListHeader size="middle" styles={{margin: '20px 0 0 0'}} >{`我的福气值： ${this.props.blessingNumber}`}</ListHeader>
          ) : (
            <ListHeader size="middle" styles={{margin: '20px 0 0 0'}} >
              <span className="text_nologin">我的福气值：</span> 
              <div className="login__btn" onClick={this.props.toLogin}>登录</div>
        </ListHeader>
          )
        }
        <p className='activity__over'>活动结束 福气榜前20名可获奖品一份</p>
        <div className='blessing__rules'>
          {
            welfareRuleList.map((item, index) => {
              return <div className="rules__item" key={index}>
                <div className="item__left">
                  <div className='tip__bubble'>
                    <div className="tip__text">福气值</div>
                    <div className='tip__style'></div>
                  </div>
                  <div className='range__number'>{item.range}</div>
                </div>
                <div className="item__right">
                  {
                    item.rules.map(item => {
                      return (
                          <p>
                            {item.text} 
                            <span>{item.des}</span>
                          </p>
                      )
                    })
                  }
                </div>
              </div>
            })
          }
        </div>
      </div>
      <div className="collect-blessing">
        <ListHeader text="福气值积攒规则" size="middle" styles={{}} />
        {
          rules.map((item, index) => (
            <div className="collect-blessing__item" key={index}>
              <i className="collect-blessing__num">{index+1}</i>
              <p className="collect-blessing__title">{item}</p>
              <a className="collect-blessing__content" onClick={handleToShowList}>
                浏览课程<br/>详情页
              </a>
            </div>
          ))
        }
      </div>
      </>
    )
  }
}

export default ListFrame(CollectBlessing);